Spring Boot 2.1.7 发布

xplanet
 xplanet
发布于 2019年08月08日
收藏 6

Spring Boot 2.1.7 发布了,现已可以从 repo.spring.io 和 Maven Central 获取。

这是一个维护版本,包括许多错误修复、依赖项更新和文档改进。

Spring Boot 2.1.7 的新特性:

  • 允许 AbstractDependsOnBeanFactoryPostProcessor 通过类型来识别依赖 bean #17020

此版本还包括大量 bug 误修复和依赖项更新,列举部分如下:

  • 修复日志信息 #17774
  • Reactive Cassandra Health Indicator 条件上错误的 bean 名称 #17763
  • 除了我们的服务器之外,Undertow 服务器还包括他们自己的 mime 映射 #17687
  • 用户提供自定义 Neo4j SessionFactory 时缺少 TransactionManager #17662
  • 修复相对于 servlet 属性源的 SPRING_APPLICATION_JSON 属性源的排序 #17652
  • 反应健康指标不记录健康检查失败 #17635
  • JavaVersion 未涵盖所有可用的 Java 版本 #17590
  • ……

更多详情可查看更新说明及下载地址

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Spring Boot 2.1.7 发布
加载中

精彩评论

如梦技术
如梦技术
#mica# 前来支持一波,1.1.8 以升级,蓄势待发~
undefine
undefine
已追更

最新评论(17

H_rj
H_rj
菜鸟过来问个问题 原来sb版本是1.5.6 源码里org.springframework.boot.context.embedded包下是有jetty tocat undertow三个内置容器的吧 然后我刚才把pom.xml里面的改成了2.1.7R 这个包下面是empty-web.xml了 应该怎么处理丫?
H_rj
H_rj
原来使用的容器是undertow 因为有配置 HttpMessageConverters 和 UndertowEmbeddedServletContainerFactory , 所以现在找不到这些了才有的这问题😅
zcqshine
zcqshine
还在用2.0.5
开源中国首席罗纳尔多
开源中国首席罗纳尔多
您好,请问新旧版本不兼容的吗?向下兼容的吗?
LarryYan
LarryYan
兼容这种问题只有遇到才算不兼容,否则就算兼容了
龙影
龙影
2.1.6需要跟进吗?
如梦技术
如梦技术
#mica# 前来支持一波,1.1.8 以升级,蓄势待发~
s
shifeng1983
java现在的jar互相依赖的太多,太臃肿了
周小猩
周小猩
这个认同 无用的依赖加剧服务的体量
MGL_TECH
MGL_TECH
就像NOdejs的应用JS依赖太多一样
xiaour
xiaour
所有框架都绕不开这一点
二进制艺术
二进制艺术
支持
子杨
子杨
沙发腿
undefine
undefine
已追更
A
Apple物语
桌子
返回顶部
顶部